version: '3.6'
services:
  timestamp-worker:
    container_name: ddev-${DDEV_SITENAME}-timestamp-worker
    image: registry.gitlab.com/rugged/rugged/timestamp-worker:latest
    # Uncomment the two lines below to run this worker as the `rugged` user.
    #entrypoint: /start-celery.sh
    #user: "440:440"
    labels:
      com.ddev.site-name: ${DDEV_SITENAME}
      com.ddev.approot: $DDEV_APPROOT
    volumes:
      - ".:/mnt/ddev_config"
      - "../:/app"
      - "../:/opt/rugged"
      # This should match what's in Ansible:
      # - build/ansible/roles/rugged.workers/tasks/timestamp-worker.yml
      - "../fixtures/tuf_repo:/var/rugged/tuf_repo"
      - "../fixtures/signing_keys/timestamp:/var/rugged/signing_keys/timestamp:ro"
      - "../fixtures/verification_keys:/var/rugged/verification_keys:ro"
    depends_on:
      - rabbitmq
  web:
    external_links:
      - ddev-${DDEV_SITENAME}-timestamp-worker:timestamp-worker.alt
    depends_on:
      - rabbitmq
